#include <iostream>
using namespace std;
int main()
{   int N;
    cin>>N;
    int A[N];
    double P[N],max=0;
        for(int i=0;i<N;i++)
            {
                cin>>A[i]>>P[i];
            }
        for(int i=0;i<N;i++)
            {
                double pdv=P[i];
                double sum=0;
                    for(int j=0;j<N;j++)
                        {
                            if(P[j]>=pdv)
                                sum+=pdv*A[j]/100.0;
                        }
                if(sum>max)
                    max=sum;
            }
        printf("%lf",max);
return 0;
}